# clutchlog: clutchlog::scope_t Struct Reference

clutchlog::scope_t Struct Reference

Structure holding a location matching. More...

`#include <clutchlog.h>`

## Detailed Description

Structure holding a location matching.

Definition at line 1130 of file clutchlog.h.

## Public Member Functions

| scope_t ()
| Constructor. More...

## Public Attributes

bool | matches
| Everything is compatible. More...
level | stage
| Current log level. More...
bool | there
| Location is compatible. More...

## Constructor & Destructor Documentation

## scope_t()

clutchlog::scope_t::scope_t | ( |  | ) |

inline

Constructor.

Definition at line 1142 of file clutchlog.h.

## Member Data Documentation

## matches

bool clutchlog::scope_t::matches

Everything is compatible.

Definition at line 1132 of file clutchlog.h.

Referenced by clutchlog::dump(), clutchlog::locate(), and clutchlog::log().

## stage

level clutchlog::scope_t::stage

Current log level.

Definition at line 1134 of file clutchlog.h.

Referenced by clutchlog::locate().

## there

bool clutchlog::scope_t::there

Location is compatible.

Definition at line 1140 of file clutchlog.h.

Referenced by clutchlog::locate().

The documentation for this struct was generated from the following file:

- clutchlog.h